Summary: A multi-sourced configuration back-end.
Name: alchemist
Version: 0.16
Release: 3
Copyright: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Requires: 4Suite
BuildRoot: %{_tmppath}/%{name}-root

%description
The alchemist is a back-end configuration architecture, which provides
multi-sourced configuration at the data level, postponing translation to
native format until the last stage. It uses XML as an intermediary data
encoding, and can be extended to arbitrarily large configuration scenarios.

%prep
%setup -q

%build
CFLAGS='-g -O4 -Wall -DNDEBUG' %configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*
%{_sysconfdir}/alchemist/*
%{_localstatedir}/cache/alchemist
%doc README

%changelog
* Mon Mar 05 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed the "_cascade_merge_" name in the switchboard to be consistent with our
  new name validation.

* Wed Feb 28 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed valid_name to the pattern /^[a-zA-Z][-a-zA-Z0-9_]?$/,
- dropping the '-' and '_' characters as legal first characters
- (because they aren't legal XML first characters)

* Tue Feb 13 2001 Crutcher Dunnavant <crutcher@redhat.com>
- rebuilt for pknirsh's moveChild fix. (He should have written this changelog!)

* Fri Feb  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Truncate files when opening for writing (ForgeBlackBox, FileBlackBox)

* Thu Feb 08 2001 Harald Hoyer <harald@redhat.de>
- fixed typos in ForgeBlackBox

* Wed Feb  7 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked the ForgeBlackBox to fix some include problems

* Wed Jan 31 2001 Crutcher Dunnavant <crutcher@redhat.com>
- check for name collides in non-anonymous lists at parse time. (oops.)

* Wed Jan 24 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed valid name to include '-' character

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- require 4Suite

* Mon Jan 22 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed a bad break that I left in WriteContextToFile

* Mon Jan 22 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed all occurances of Writeable to be Writable

* Thu Jan 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Reved the version to take into account Trond's ForgeBlackBox entry

* Sun Jan 14 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Add a CacheBlackBox, and some isNamespaceDirty logic to the alchemist
- to deal with some dirty cache nastyness

* Thu Jan 11 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Nope, Elliot had changed it to be case insensitive everywhere, reverted.

* Thu Jan 11 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Garh! Was doing case insensitive string comparisions for some reason.

* Tue Jan  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed a bug in the import code that threw an uncaught exception

* Tue Jan  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Changed Alchemist.py:Switchboard:writeNamespace() to return
- the context it writes, instead of None

* Wed Jan  3 2001 Crutcher Dunnavant <crutcher@redhat.com>
- initial packaging of alchemist

* Wed Dec 13 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Created blank package for translation.
